Loading...
Searching...
No Matches
XrdCryptoX509ChainNode Class Reference

`#include <XrdCryptoX509Chain.hh>`

Collaboration diagram for XrdCryptoX509ChainNode:

## Public Member Functions

| XrdCryptoX509ChainNode (XrdCryptoX509 *c=0, XrdCryptoX509ChainNode *n=0)
virtual | ~XrdCryptoX509ChainNode ()
XrdCryptoX509 * | Cert () const
XrdCryptoX509ChainNode * | Next () const
void | SetNext (XrdCryptoX509ChainNode *n)

## Detailed Description

Definition at line 64 of file XrdCryptoX509Chain.hh.

## Constructor & Destructor Documentation

## XrdCryptoX509ChainNode()

XrdCryptoX509ChainNode::XrdCryptoX509ChainNode | ( | XrdCryptoX509 * | c = 0,
|  | XrdCryptoX509ChainNode * | n = 0 )

inline

Definition at line 70 of file XrdCryptoX509Chain.hh.

{ cert = c; next = n;}

References XrdCryptoX509ChainNode().

Referenced by XrdCryptoX509ChainNode(), Next(), and SetNext().

Here is the call graph for this function:
Here is the caller graph for this function:

## ~XrdCryptoX509ChainNode()

virtual XrdCryptoX509ChainNode::~XrdCryptoX509ChainNode | ( |  | ) |

inline virtual

Definition at line 72 of file XrdCryptoX509Chain.hh.

{ }

## Member Function Documentation

## Cert()

XrdCryptoX509 * XrdCryptoX509ChainNode::Cert | ( |  | ) | const

inline

Definition at line 74 of file XrdCryptoX509Chain.hh.

{ return cert; }

Referenced by XrdCryptoX509Chain::CheckCA(), XrdCryptoX509Chain::CheckValidity(), XrdCryptoX509Chain::Cleanup(), XrdCryptoX509Chain::Dump(), XrdCryptoX509Chain::EEChash(), XrdCryptoX509Chain::EECname(), XrdCryptoX509Chain::Find(), XrdCryptoX509Chain::FindIssuer(), XrdCryptoX509Chain::FindSubject(), XrdCryptoX509Chain::Remove(), XrdCryptoX509Chain::Reorder(), XrdCryptoX509Chain::SearchByIssuer(), XrdCryptoX509Chain::SearchBySubject(), XrdCryptoX509Chain::SetEffectiveCA(), XrdCryptogsiX509Chain::Verify(), and XrdCryptoX509Chain::Verify().

Here is the caller graph for this function:

## Next()

XrdCryptoX509ChainNode * XrdCryptoX509ChainNode::Next | ( |  | ) | const

inline

Definition at line 75 of file XrdCryptoX509Chain.hh.

{ return next; }

References XrdCryptoX509ChainNode().

Referenced by XrdCryptoX509Chain::~XrdCryptoX509Chain(), XrdCryptoX509Chain::CheckCA(), XrdCryptoX509Chain::CheckValidity(), XrdCryptoX509Chain::Cleanup(), XrdCryptoX509Chain::Dump(), XrdCryptoX509Chain::EEChash(), XrdCryptoX509Chain::EECname(), XrdCryptoX509Chain::Find(), XrdCryptoX509Chain::FindIssuer(), XrdCryptoX509Chain::FindSubject(), XrdCryptoX509Chain::InsertAfter(), XrdCryptoX509Chain::Remove(), XrdCryptoX509Chain::Reorder(), XrdCryptoX509Chain::SetEffectiveCA(), XrdCryptogsiX509Chain::Verify(), and XrdCryptoX509Chain::Verify().

Here is the call graph for this function:
Here is the caller graph for this function:

## SetNext()

void XrdCryptoX509ChainNode::SetNext | ( | XrdCryptoX509ChainNode * | n | ) |

inline

Definition at line 77 of file XrdCryptoX509Chain.hh.

{ next = n; }

References XrdCryptoX509ChainNode().

Referenced by XrdCryptoX509Chain::CheckCA(), XrdCryptoX509Chain::InsertAfter(), XrdCryptoX509Chain::Remove(), and XrdCryptoX509Chain::Reorder().

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdCryptoX509Chain.hh